Bug 6938 - Alternate directory for project related files
Alternate directory for project related files
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
3.x
Other All
: P1 (vote)
: 3.x
Assigned To: issues@projects
issues@projects
:
Depends on: 17991
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-29 22:48 UTC by Dave
Modified: 2003-12-11 14:25 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave 2000-06-29 22:48:19 UTC
Project files are placed under Forte4J/system/projects.

This makes it awkward to save them in a source code control system along with
the regular source files. Would be nice if you could save these files in the
root of your filesystem.
Comment 1 Jesse Glick 2000-08-23 16:23:59 UTC
Sandwich project implementation, when it matures, should make it possible to
store project files elsewhere, incl. under VC. Cannot be fixed in the shorter
term.
Comment 2 Milan Kubec 2002-01-10 14:51:25 UTC
It doesn't seem to be resolved by sandwich filesystem. Is it going to
be possible in new project implementation? If so, please, set target
milestone, otherwise resolve as closed. 
Comment 3 Vitezslav Stejskal 2002-01-10 15:12:49 UTC
Yes, this definitely must be solved. Reopening, P1, 4.0.
Comment 4 Vitezslav Stejskal 2003-01-02 11:54:52 UTC
This is solved by new projects system (Nb 4.0), check out the
preliminary version from:
http://www.netbeans.org/download/prj40_prototype/


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo